Bug 183281 - Missing xen/* from kernel-*-devel RPM?
Summary: Missing xen/* from kernel-*-devel RPM?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Juan Quintela
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-27 21:44 UTC by Deon George
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 21:55:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Deon George 2006-02-27 21:44:55 UTC
Description of problem:
I am trying to build the zaptel drivers under the kernel-xen-hypervisor, so I
have the kernel-xen-hypervisor-devel installed.

When building the zaptel kernel module, I get lots of missing xen/* errors
(interface/xen.h, features.h, etc)

An example is:
include/asm-i386/mach-xen/mach_page.h:10:31: error: xen/interface/xen.h: No such
file or direcotry

I cant see in all the RPMs the RPM I can install that has xen/features.h,
xen/interface/xen.h, etc...

Version-Release number of selected component (if applicable):
FC5Test3

How reproducible:
Download the zaptel driver from digium and run make.

Comment 1 Deon George 2006-02-27 23:08:32 UTC
BTW, I took the kernel-*-src.rpm, did a rpmbuild -bp kernel.spec, then copied
the resulting include/xen/* path to /usr/src/kernel/2.6.15.../include/xen and
compiled the modules without a problem.

So it seems that have include/xen added to the kernel-xen-hypervisor-devel rpm
should solve this...

Comment 2 Stephen Tweedie 2006-03-15 21:55:46 UTC
We added include/xen to the latest kernel-xen0-devel (note the package name
change!) packages in rawhide.  Please reopen if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.